io.vertx.ext.shell.command.base

## Enum ObjectType

- java.lang.Object
- - java.lang.Enum<ObjectType>
  - - io.vertx.ext.shell.command.base.ObjectType

- All Implemented Interfaces:
    Serializable, Comparable<ObjectType>

      public enum ObjectType
      extends Enum<ObjectType>

  Author:
    Julien Viet

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASE64`
    `BOOLEAN`
    `BUFFER`
    `BYTE`
    `CHARACTER`
    `DOUBLE`
    `FLOAT`
    `HEX`
    `INTEGER`
    `JSON_ARRAY`
    `JSON_OBJECT`
    `LONG`
    `SHORT`
    `STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ObjectType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ObjectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final ObjectType STRING

    - #### BYTE

          public static final ObjectType BYTE

    - #### SHORT

          public static final ObjectType SHORT

    - #### INTEGER

          public static final ObjectType INTEGER

    - #### LONG

          public static final ObjectType LONG

    - #### FLOAT

          public static final ObjectType FLOAT

    - #### DOUBLE

          public static final ObjectType DOUBLE

    - #### CHARACTER

          public static final ObjectType CHARACTER

    - #### BOOLEAN

          public static final ObjectType BOOLEAN

    - #### JSON_OBJECT

          public static final ObjectType JSON_OBJECT

    - #### JSON_ARRAY

          public static final ObjectType JSON_ARRAY

    - #### BUFFER

          public static final ObjectType BUFFER

    - #### BASE64

          public static final ObjectType BASE64

    - #### HEX

          public static final ObjectType HEX

  - ### Method Detail

    - #### values

          public static ObjectType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ObjectType c : ObjectType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ObjectType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 Eclipse. All rights reserved.